extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "knights:loki_layer1",
    "layer2": "knights:loki_layer2",
});
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
 var color = 0x0FA005;
 utils.bindCloud(renderer, "fiskheroes:telekinesis", "knights:telekinesis_loki");
var beam = renderer.createResource("BEAM_RENDERER", "fiskheroes:mysterio_beam");
utils.bindBeam(renderer, "fiskheroes:energy_projection", beam, "rightArm", color, [
    { "firstPerson": [-3.75, 3.0, -8.0], "offset": [-0.5, 12.0, 0.0], "size": [1.5, 1.5] },
    { "firstPerson": [3.75, 3.0, -8.0], "offset": [-0.5, 12.0, 0.0], "size": [1.5, 1.5], "anchor": "leftArm" }
]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_energy_projection"));
}